### Index

- DetermineProductionEnvironmentName (src/.../determine-production-environment-name.ts)
- DetermineReleaseName (src/.../determine-release-name.ts)
- initGenerator (src/.../generator.ts)
- IsNotReleaseVersion (src/.../is-not-release-version.ts)
- ProvideEnvironment (src/.../provide-environment.ts)
- UpdateEnvironment (src/.../update-environment.ts)

### src/lib/determine-production-environment-name.ts

###

DetermineProductionEnvironmentName
`DetermineProductionEnvironmentName(environment: Environment)`

Parameters :

Name | Type | Optional
environment | `Environment` | No

### src/lib/determine-release-name.ts

###

DetermineReleaseName
`DetermineReleaseName(environment: Environment, defaultReleaseName: string)`

Parameters :

Name | Type | Optional | Default value
environment | `Environment` | No |
defaultReleaseName | `string` | No | `'local-development'`

Returns : `string`

### src/generators/init/generator.ts

###

initGenerator
`initGenerator(tree: Tree, options: InitGeneratorSchema)`

Parameters :

Name | Type | Optional
tree | `Tree` | No
options | `InitGeneratorSchema` | No

### src/lib/is-not-release-version.ts

###

IsNotReleaseVersion
`IsNotReleaseVersion(environment: Environment)`

Parameters :

Name | Type | Optional
environment | `Environment` | No

Returns : `boolean`

### src/lib/provide-environment.ts

###

ProvideEnvironment
`ProvideEnvironment(environment: Environment)`

Parameters :

Name | Type | Optional
environment | `Environment` | No

### src/lib/update-environment.ts

###

UpdateEnvironment
`UpdateEnvironment(environment: Environment, url: string)`

Loads the build.json and adds all keys to the environment object

Parameters :

Name | Type | Optional | Default value
environment | `Environment` | No |
url | `string` | No | `'build.json'`

# results matching ""

# No results matching ""